%define pkgname	%{name}-2.0
%global __requires_exclude lib.*glib2.0_0

Name:		dbus-sharp-glib
Summary:	Managed D-Bus implementation - GLib integration
Version:	0.6.0
Release:	%mkrel 6
Group:		System/Libraries
License:	MIT
Source0:	https://github.com/downloads/mono/dbus-sharp/%{name}-%{version}.tar.gz
Url:		http://mono.github.com/dbus-sharp/
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(dbus-sharp-2.0)
BuildRequires:	gtk-sharp2
Requires:	glib2
BuildArch:	noarch

%description
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus). This is the GLib integration for ndesk-dbus.

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}2.0-devel

%description devel
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus). This is the GLib integration for ndesk-dbus.

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%prep
%setup -q

sed -i "s#gmcs#mcs#g" configure
sed -i "s#gmcs#mcs#g" configure.ac
find . -name "*.sln" -print -exec sed -i 's/Format Version 10.00/Format Version 11.00/g' {} \;
find . -name "*.csproj" -print -exec sed -i 's#ToolsVersion="3.5"#ToolsVersion="4.0"#g; s#<TargetFrameworkVersion>.*</TargetFrameworkVersion>##g; s#<PropertyGroup>#<PropertyGroup><TargetFrameworkVersion>v4.5</TargetFrameworkVersion>#g' {} \;

%build
./configure --prefix=%{_prefix}
%make_build

%install
%make_install pkgconfigdir=%{_datadir}/pkgconfig

%files
%doc README COPYING
%{_prefix}/lib/mono/%{pkgname}
%{_prefix}/lib/mono/gac/%{name}/

%files devel
%doc examples
%{_datadir}/pkgconfig/%{pkgname}.pc


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.6.0-6.mga10
+ Revision: 2213462
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 0.6.0-5.mga9
+ Revision: 1838739
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.6.0-4.mga8
+ Revision: 1490390
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.6.0-3.mga7
+ Revision: 1261976
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build
+ barjac <barjac>
- new version 0.6.0
- new ABI 2.0
- ABI 1.0 is now provided by forked dbus-sharp-glib1.0

* Sun Jan 31 2016 barjac <barjac> 1:0.5.0-7.mga6
+ Revision: 929253
- add epoch and revert to 0.5.0 for ABI-1.0

* Thu Jan 28 2016 barjac <barjac> 0.6.0-1.mga6
+ Revision: 928469
- new version 0.6.0
- use fedora hack to fix build
- clean spec

* Thu Dec 03 2015 tv <tv> 0.5.0-6.mga6
+ Revision: 907879
- fix finding mono4 compiler

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-5.mga5
+ Revision: 743876
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-4.mga5
+ Revision: 678689
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-3.mga4
+ Revision: 503795
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 348659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 25 2011 dmorgan <dmorgan> 0.5.0-1.mga2
+ Revision: 113481
- imported package dbus-sharp-glib


* Wed Sep 15 2010 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2011.0
+ Revision: 578521
- new version of renamed ndesk-dbus-glib

* Mon Aug 09 2010 Götz Waschk <waschk@mandriva.org> 0.4.1-6mdv2011.0
+ Revision: 567940
- split out devel package
- update build deps

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.4.1-5mdv2010.1
+ Revision: 523421
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.4.1-4mdv2010.0
+ Revision: 426248
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.4.1-3mdv2009.1
+ Revision: 351631
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.4.1-2mdv2009.0
+ Revision: 223338
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Oct 21 2007 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdv2008.1
+ Revision: 101057
- new version
- fix build
- drop patch and source 1
- filter out new automatic deps from mono-find-requires
- rebuild

* Mon Aug 06 2007 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2008.0
+ Revision: 59478
- fix buildrequires
- fix pkgconfig path
- Import ndesk-dbus-glib

